import json
from argparse import Namespace
from typing import Optional

from fabric_cli.client import fab_api_gateway as gateway_api
from fabric_cli.core.fab_hiearchy import VirtualWorkspaceItem
from fabric_cli.utils import fab_cmd_get_utils as utils_get


def exec(
    virtual_ws_item: VirtualWorkspaceItem, args: Namespace, debug: Optional[bool] = True
) -> dict:
    args.id = virtual_ws_item.get_id()

    virtual_ws_item_def = {}
    response = gateway_api.get_gateway(args)
    if response.status_code == 200:
        virtual_ws_item_def = json.loads(response.text)
        utils_get.query_and_export(
            virtual_ws_item_def, args, virtual_ws_item.get_name(), debug
        )

    return virtual_ws_item_def
