# Copyright (c) Microsoft Corporation.
# Licensed under the EULA license.

from argparse import Namespace

from fabric_cli.client import fab_api_sparkpool as sparkpool_api
from fabric_cli.core.fab_hiearchy import VirtualItem
from fabric_cli.utils import fab_mem_store as utils_mem_store


def exec(virtual_item: VirtualItem, args: Namespace, force_delete: bool) -> None:
    args.ws_id = virtual_item.get_workspace_id()
    args.id = virtual_item.get_id()
    args.name = virtual_item.get_name()

    if sparkpool_api.delete_spark_pool(args, force_delete):
        # Remove from mem_store
        utils_mem_store.delete_spark_pool_from_cache(virtual_item)
